package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matters.model.vo.MattersDeptVo;
/**
* 部门实体对象
*
* @author zxfei
* @date 2022-03-30
*/

public class MattersDeptEntity extends MattersDeptVo {
    private static final long serialVersionUID = 1L;

    /**
    * 区域编号
    */
    private String areaCode;
    /**
    * 部门编号
    */
    private String deptCode;
    /**
    * 部门名称
    */
    private String name;



    public MattersDeptEntity(){}
    /**
    * 获取 区域编号
    * @return String
    */
    public String getAreaCode(){
        return areaCode;
    }
    /**
    * 设置 区域编号
    * @param areaCode
    */
    public void setAreaCode(String areaCode){
        this.areaCode = areaCode;
    }
    /**
    * 获取 部门编号
    * @return String
    */
    public String getDeptCode(){
        return deptCode;
    }
    /**
    * 设置 部门编号
    * @param deptCode
    */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 部门名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MattersDeptEntity) {
            MattersDeptEntity tmp = (MattersDeptEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",areaCode:").append(getAreaCode());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",name:").append(getName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.areaCode = null;

            this.deptCode = null;

            this.name = null;
    }
}